Bug 118439 - NPE Creating Recent Forum Postings portlet
NPE Creating Recent Forum Postings portlet
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-16 13:47 EST by Jon Orris
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-03-16 13:47:05 EST
Description of problem:
@41371/postgres

As SWA, go to /ccm/portal
Select customize.
Select Recent Forum Postings & click add.
Get NPE.

see bug 118438 for p4 client & project.xml I'm using.

Notice
An unexpected error has occurred	

An unexpected error has occurred. If this continues to be a problem
for you please contact the administrators of the site quoting the
following:

CCM issue report code: 172.16.64.111:1c39241:fb54fd4a31

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:1c39241:fb54fd4a31 -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: null (root cause:
null) -*-*-*-
-*-*-*- Message 2: com.arsdigita.util.UncheckedWrapperException: null
(root cause: null) -*-*-*-
-*-*-*- Message 3: java.lang.NullPointerException: null -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.conf: /var/ccm-devel/web/jorris/aplaws/conf/registry
ccm.home: /var/ccm-devel/web/jorris/aplaws
com.arsdigita.london.navigation.DefaultContentSection: /content/
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.jar:/usr/share/java/servletapi4.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/aplaws/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.protocol.handler.pkgs: org.apache.axis.transport|
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/aplaws/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-9.0.1.EL
path.separator: :
resin.home: /var/ccm-devel/web/jorris/aplaws
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /var/ccm-devel/web/jorris/aplaws
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
java.lang.NullPointerException
	at
com.arsdigita.forum.portlet.RecentPostingsPortletRenderer.generateBodyXML(RecentPostingsPortlet.java:94)
	at
com.arsdigita.bebop.portal.AbstractPortletRenderer.generateXMLBody(AbstractPortletRenderer.java:58)
	at com.arsdigita.bebop.portal.Portlet.generateXML(Portlet.java:111)
	at
com.arsdigita.bebop.portal.AbstractPortletRenderer.makeXML(AbstractPortletRenderer.java:78)
	at
com.arsdigita.bebop.portal.AbstractPortletRenderer.generateXML(AbstractPortletRenderer.java:87)
	at
com.arsdigita.london.portal.ui.PersistentPortal.generateXML(PersistentPortal.java:271)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at
com.arsdigita.aplaws.ui.HomepageWorkspace.generateXML(HomepageWorkspace.java:151)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Page.generateXML(Page.java:642)
	at com.arsdigita.bebop.jsp.DefinePage.doEndTag(DefinePage.java:253)
	at
_templates._ccm_22dldn_22dportal._portal._index__jsp._jspService(_index__jsp.java:109)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.web.ApplicationFileServlet.doService(ApplicationFileServlet.java:148)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:206)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:190)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at
com.arsdigita.london.shortcuts.ShortcutFilter.doService(ShortcutFilter.java:79)
	at com.arsdigita.web.BaseFilter.doFilter(BaseFilter.java:96)
	at
com.caucho.server.http.FilterChainFilter.doFilter(FilterChainFilter.java:88)
	at
com.arsdigita.london.subsite.SubsiteFilter.doService(SubsiteFilter.java:69)
	at com.arsdigita.web.BaseFilter.doFilter(BaseFilter.java:96)
	at
com.caucho.server.http.FilterChainFilter.doFilter(FilterChainFilter.java:88)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: ad_user_login=1017!1174066805608!T6SI/OtKmXBC9FQAUKS+fw==;
JSESSIONID=a9nANCkY2Kha
Host: goodeats.boston.redhat.com:9006
Keep-Alive: 300
Referer:
http://goodeats.boston.redhat.com:9006/ccm/portal/?g11n.enc=UTF-8&bbp.i=d0.5.5.c7.5&bbp.9.column=1&bbp.453.create=8008&bbp.453.column=1
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@158524e = {
m_page = com.arsdigita.aplaws.ui.SimplePage@1f59ae3,
m_request = com.caucho.server.http.DispatchRequest@172c9cf,
m_response = com.caucho.server.http.HttpResponse@1839d52,
m_pageState = com.arsdigita.bebop.FormData@1cd84b5 = {
m_parameterDataValues = {g11n.enc={UTF-8, []}, bbp.897.create={null,
[]}, bbp.9.edit={null, []}, bbp.i={{5, 6, 7, 8, 9, 449, 450, 451, 452,
453}, []}, bbp.e={null, []}, bbp.v={null, []}, bbp.897.edit={null,
[]}, bbp.s={null, []}, bbp.8.column={null, []}, bbp.9.column={1, []},
bbp.453.create={null, []}, bbp.1336.sel={null, []},
bbp.9.create={null, []}, bbp.896.column={null, []},
bbp.452.column={null, []}, bbp.453.column={1, []},
bbp.897.column={null, []}, bbp.453.edit={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@8a8c54,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {7, 8, 280, 295, 308, 323, 451, 452, 724, 739, 752, 767,
893, 894, 897, 1168, 1183, 1196, 1211}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.bebop.RequestLocal@28973c=null,
com.arsdigita.bebop.RequestLocal@1f15d75=null,
com.arsdigita.bebop.RequestLocal@da5f4c=[com.arsdigita.london.portal.WorkspacePage:{id=9003}],
com.arsdigita.bebop.RequestLocal@1991f15=null,
com.arsdigita.bebop.RequestLocal@40f700=null,
com.arsdigita.bebop.RequestLocal@13e5341=null,
com.arsdigita.bebop.RequestLocal@1f5a21=true,
com.arsdigita.bebop.RequestLocal@a6a426=[com.arsdigita.london.portal.WorkspacePage:{id=9004}],
com.arsdigita.bebop.RequestLocal@1cc020e=null,
com.arsdigita.bebop.Page$1@1b2c2ef=com.arsdigita.bebop.Label@10d4698,
com.arsdigita.bebop.RequestLocal@1a6a0c0=null,
com.arsdigita.bebop.RequestLocal@19e1c30=null,
com.arsdigita.bebop.RequestLocal@83aa68=null,
com.arsdigita.bebop.RequestLocal@2fddaf=null,
com.arsdigita.bebop.form.OptionGroup$1@16567b9=[],
com.arsdigita.bebop.RequestLocal@12ee8d1=null,
com.arsdigita.bebop.RequestLocal@14b5ad5=null,
com.arsdigita.bebop.RequestLocal@11bdace=null,
com.arsdigita.bebop.RequestLocal@632866=null,
com.arsdigita.bebop.RequestLocal@565498=[com.arsdigita.london.portal.Workspace:{id=2090}],
com.arsdigita.bebop.RequestLocal@8323d9=null,
com.arsdigita.bebop.RequestLocal@b70eab=null,
com.arsdigita.bebop.Form$2@2573dd=,
com.arsdigita.bebop.RequestLocal@62f077=[com.arsdigita.london.portal.WorkspacePage:{id=9005}],
com.arsdigita.bebop.RequestLocal@24189d=null,
com.arsdigita.bebop.RequestLocal@18de958=null,
com.arsdigita.bebop.RequestLocal@e10a2d=null}
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@c675af
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@1a34744=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 2090
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/portal/?g11n.enc=UTF-8&bbp.9.column=1&bbp.i=d0.5.5.c7.5&bbp.453.column=1

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/portal/
Query string:
g11n.enc=UTF-8&bbp.i=d0.5.5.c7.5&bbp.9.column=1&bbp.453.column=1
Method: GET
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
ad_user_login: 1017!1174066805608!T6SI/OtKmXBC9FQAUKS+fw== (expires: -1)
JSESSIONID: a9nANCkY2Kha (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2004-03-16 13:48:31 EST
To clarify, NPE occurs after add.
One must actually create the portlet.
Ever after, the site is unusable, with an NPE in the
RecentPostingsPortletRenderer
Comment 2 Daniel Berrange 2004-03-18 10:18:52 EST
There are actually two problems here:

 1. There is no PortletConfigFormSection registered for this portlet,
so there is no way to set the max number of posts attribute
 2. The APLAWS portals doesn't correctly support portlet types
requiring an application instance to back them.

It is the second which is causing the immediate problem, but I'll
address 1. as well.
Comment 3 Daniel Berrange 2004-03-18 14:27:28 EST
Point 1 addressed in 41483, 41484, 41494, 41495.

Point 2 addressed in 41496, 41497, 41499.
Comment 4 David Lawrence 2006-07-17 22:52:44 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Jon Orris 2006-09-05 13:41:08 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.